<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    header: {
      type: String,
      required: true,
    },
    text: {
      type: String,
      required: true,
    },
  },
});
</script>

<template>
  <div class="conduct-wrapper">
    <SlpContainer>
      <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-32">{{
        header
      }}</SlpTypography>
      <SlpTypography tag="div" variant="body1">
        <div class="text" v-html="$md.render(text)"></div
      ></SlpTypography>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.conduct-wrapper {
  // background-color: #422143;
  padding: 120px 0;
  // color: white;
  .text:deep(a) {
    // color: white !important;
    text-decoration: underline;
  }
}
</style>
